Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366683 - Fix build on MIPS [NEEDINFO]
Summary: Fix build on MIPS
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 26
Hardware: mips64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrew John Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-08-12 15:08 UTC by Michal Toman
Modified: 2018-05-29 11:49 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:49:27 UTC
ahughes: needinfo? (michal.toman)


Attachments (Terms of Use)
Fix-build-on-MIPS.patch (deleted)
2016-08-12 15:08 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-08-12 15:08:33 UTC
Created attachment 1190445 [details]
Fix-build-on-MIPS.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires making Java package MIPS-aware. To start we just want to enable Zero.

Actual results:
Build fails because Java is MIPS-unaware.

Expected results:
Build passes.

Additional info:
Attaching dist-git patch. It would be nice to have this in F25 as well.

Comment 1 Andrew John Hughes 2016-08-12 15:21:41 UTC
This is actually something we've regressed on, because the old packages for 6 & 7 were based on IcedTea which has MIPS support, thanks to the Debian developers. The patch looks good to me. We should really try and get it upstream too. I'll look into that.

Comment 2 Andrew John Hughes 2016-08-12 15:22:18 UTC
Incidentally, is there a Fedora koji target that can be used to build on MIPS yet or have things not progressed that far?

Comment 3 Michal Toman 2016-08-12 16:25:39 UTC
MIPS (Imagination Technologies) does have an internal koji instance, we are working on something public but we are not there yet.

If you just need to know whether it builds, I have been using Java with these patches since F23 and it works fine.

Comment 4 Andrew John Hughes 2016-08-13 13:44:02 UTC
Sure, and that's fine for adding it to the Fedora package, but to upstream it, we'd need to apply and test it on the latest development (OpenJDK 9) sources.

Anyway, no rush, once support is there, it would be nice to be able to test our packages continue to work on MIPS and we don't regress.

Comment 5 Fedora End Of Life 2017-02-28 10:05:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 6 Andrew John Hughes 2017-03-28 19:41:48 UTC
Any news on a public koji instance?

Comment 7 Fedora End Of Life 2018-05-03 08:36:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 11:49:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.